I am a beginner to C# and not familiar with LINKED LIST. Can someone shed some light on what I am missing to complete the following C# project? my issue is how to use LINKEDLIST.
ReadSTL rs = new ReadSTL(@"c:\devdept\bunny.stl"); rs.DoWork(); rs.AddToScene(viewportLayout1); Mesh m = (Mesh) rs.Entities[0]; m.ColorMethod = colorMethodType.byEntity; m.Color = Color.Aquamarine; Plane p = Plane.XY; LinkedList[] edgesPerVertex; Utility.GetEdgesWithoutDuplicates(m.Triangles, m.Vertices.Length, out edgesPerVertex); int num = 100; List<Entity> sections = new List<Entity>(num); for (int iz = 0; iz < num; iz++) { p.Translate(new Vector3D(0, 0, m.BoxSize.Z / num)); ICurve[] sCurves = m.Section(p, 0, edgesPerVertex); foreach (Entity c in sCurves) { sections.Add(c); } } viewportLayout1.Entities.AddRange(sections, Color.Blue);